summarylogtreecommitdiffstats
path: root/djgpp-wine.sh
diff options
context:
space:
mode:
Diffstat (limited to 'djgpp-wine.sh')
-rw-r--r--djgpp-wine.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/djgpp-wine.sh b/djgpp-wine.sh
new file mode 100644
index 000000000000..3d6f3df69938
--- /dev/null
+++ b/djgpp-wine.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+djgpp_prefix=/usr/i686-pc-msdosdjgpp
+
+# run it in a custom WINEPREFIX to not mess with default ~/.wine
+if ! test -d "${WINEPREFIX}"
+then
+ export WINEPREFIX=~/.wine-i686-pc-msdosdjgpp
+fi
+
+# WINEPATH is used to find dlls, otherwise they should lie next to the exe
+if test -z "${WINEPATH}"
+then
+ export WINEPATH=${djgpp_prefix}/bin
+fi
+
+wine "$@"
+